DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTTreatmentSessionIonBeamSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTTreatmentSessionIonBeamSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getBeamDescription (OFString &value, const signed long pos=0) const
| get BeamDescription (300a,00c3) More...
OFCondition | getBeamName (OFString &value, const signed long pos=0) const
| get BeamName (300a,00c2) More...
OFCondition | getBeamType (OFString &value, const signed long pos=0) const
| get BeamType (300a,00c4) More...
OFCondition | getCurrentFractionNumber (OFString &value, const signed long pos=0) const
| get CurrentFractionNumber (3008,0022) More...
OFCondition | getCurrentFractionNumber (Sint32 &value, const unsigned long pos=0) const
| get CurrentFractionNumber (3008,0022) More...
OFCondition | getDeliveredPrimaryMeterset (OFString &value, const signed long pos=0) const
| get DeliveredPrimaryMeterset (3008,0036) More...
OFCondition | getDeliveredPrimaryMeterset (Float64 &value, const unsigned long pos=0) const
| get DeliveredPrimaryMeterset (3008,0036) More...
OFCondition | getDeliveredSecondaryMeterset (OFString &value, const signed long pos=0) const
| get DeliveredSecondaryMeterset (3008,0037) More...
OFCondition | getDeliveredSecondaryMeterset (Float64 &value, const unsigned long pos=0) const
| get DeliveredSecondaryMeterset (3008,0037) More...
OFCondition | getDeliveredTreatmentTime (OFString &value, const signed long pos=0) const
| get DeliveredTreatmentTime (3008,003b) More...
OFCondition | getDeliveredTreatmentTime (Float64 &value, const unsigned long pos=0) const
| get DeliveredTreatmentTime (3008,003b) More...
OFCondition | getEntityLongLabel (OFString &value, const signed long pos=0) const
| get EntityLongLabel (3010,0038) More...
OFCondition | getFixationEye (OFString &value, const signed long pos=0) const
| get FixationEye (300a,0150) More...
OFCondition | getFixationLightAzimuthalAngle (Float32 &value, const unsigned long pos=0) const
| get FixationLightAzimuthalAngle (300a,0356) More...
OFCondition | getFixationLightPolarAngle (Float32 &value, const unsigned long pos=0) const
| get FixationLightPolarAngle (300a,0358) More...
OFCondition | getModulatedScanModeType (OFString &value, const signed long pos=0) const
| get ModulatedScanModeType (300a,0309) More...
OFCondition | getNumberOfBlocks (OFString &value, const signed long pos=0) const
| get NumberOfBlocks (300a,00f0) More...
OFCondition | getNumberOfBlocks (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBlocks (300a,00f0) More...
OFCondition | getNumberOfBoli (OFString &value, const signed long pos=0) const
| get NumberOfBoli (300a,00ed) More...
OFCondition | getNumberOfBoli (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBoli (300a,00ed) More...
OFCondition | getNumberOfCompensators (OFString &value, const signed long pos=0) const
| get NumberOfCompensators (300a,00e0) More...
OFCondition | getNumberOfCompensators (Sint32 &value, const unsigned long pos=0) const
| get NumberOfCompensators (300a,00e0) More...
OFCondition | getNumberOfControlPoints (OFString &value, const signed long pos=0) const
| get NumberOfControlPoints (300a,0110) More...
OFCondition | getNumberOfControlPoints (Sint32 &value, const unsigned long pos=0) const
| get NumberOfControlPoints (300a,0110) More...
OFCondition | getNumberOfLateralSpreadingDevices (OFString &value, const signed long pos=0) const
| get NumberOfLateralSpreadingDevices (300a,0330) More...
OFCondition | getNumberOfLateralSpreadingDevices (Sint32 &value, const unsigned long pos=0) const
| get NumberOfLateralSpreadingDevices (300a,0330) More...
OFCondition | getNumberOfRangeModulators (OFString &value, const signed long pos=0) const
| get NumberOfRangeModulators (300a,0340) More...
OFCondition | getNumberOfRangeModulators (Sint32 &value, const unsigned long pos=0) const
| get NumberOfRangeModulators (300a,0340) More...
OFCondition | getNumberOfRangeShifters (OFString &value, const signed long pos=0) const
| get NumberOfRangeShifters (300a,0312) More...
OFCondition | getNumberOfRangeShifters (Sint32 &value, const unsigned long pos=0) const
| get NumberOfRangeShifters (300a,0312) More...
OFCondition | getNumberOfWedges (OFString &value, const signed long pos=0) const
| get NumberOfWedges (300a,00d0) More...
OFCondition | getNumberOfWedges (Sint32 &value, const unsigned long pos=0) const
| get NumberOfWedges (300a,00d0) More...
OFCondition | getPatientSupportAccessoryCode (OFString &value, const signed long pos=0) const
| get PatientSupportAccessoryCode (300a,0354) More...
OFCondition | getPatientSupportID (OFString &value, const signed long pos=0) const
| get PatientSupportID (300a,0352) More...
OFCondition | getPatientSupportType (OFString &value, const signed long pos=0) const
| get PatientSupportType (300a,0350) More...
OFCondition | getRadiationAtomicNumber (OFString &value, const signed long pos=0) const
| get RadiationAtomicNumber (300a,0304) More...
OFCondition | getRadiationAtomicNumber (Sint32 &value, const unsigned long pos=0) const
| get RadiationAtomicNumber (300a,0304) More...
OFCondition | getRadiationChargeState (Sint16 &value, const unsigned long pos=0) const
| get RadiationChargeState (300a,0306) More...
OFCondition | getRadiationMassNumber (OFString &value, const signed long pos=0) const
| get RadiationMassNumber (300a,0302) More...
OFCondition | getRadiationMassNumber (Sint32 &value, const unsigned long pos=0) const
| get RadiationMassNumber (300a,0302) More...
OFCondition | getRadiationType (OFString &value, const signed long pos=0) const
| get RadiationType (300a,00c6) More...
OFCondition | getReferencedBeamNumber (OFString &value, const signed long pos=0) const
| get ReferencedBeamNumber (300c,0006) More...
OFCondition | getReferencedBeamNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedBeamNumber (300c,0006) More...
OFCondition | getReferencedPatientSetupNumber (OFString &value, const signed long pos=0) const
| get ReferencedPatientSetupNumber (300c,006a) More...
OFCondition | getReferencedPatientSetupNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedPatientSetupNumber (300c,006a) More...
OFCondition | getReferencedToleranceTableNumber (OFString &value, const signed long pos=0) const
| get ReferencedToleranceTableNumber (300c,00a0) More...
OFCondition | getReferencedToleranceTableNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedToleranceTableNumber (300c,00a0) More...
OFCondition | getScanMode (OFString &value, const signed long pos=0) const
| get ScanMode (300a,0308) More...
OFCondition | getSpecifiedPrimaryMeterset (OFString &value, const signed long pos=0) const
| get SpecifiedPrimaryMeterset (3008,0032) More...
OFCondition | getSpecifiedPrimaryMeterset (Float64 &value, const unsigned long pos=0) const
| get SpecifiedPrimaryMeterset (3008,0032) More...
OFCondition | getSpecifiedSecondaryMeterset (OFString &value, const signed long pos=0) const
| get SpecifiedSecondaryMeterset (3008,0033) More...
OFCondition | getSpecifiedSecondaryMeterset (Float64 &value, const unsigned long pos=0) const
| get SpecifiedSecondaryMeterset (3008,0033) More...
OFCondition | getSpecifiedTreatmentTime (OFString &value, const signed long pos=0) const
| get SpecifiedTreatmentTime (3008,003a) More...
OFCondition | getSpecifiedTreatmentTime (Float64 &value, const unsigned long pos=0) const
| get SpecifiedTreatmentTime (3008,003a) More...
OFCondition | getTreatmentDeliveryType (OFString &value, const signed long pos=0) const
| get TreatmentDeliveryType (300a,00ce) More...
OFCondition | getTreatmentTerminationDescription (OFString &value, const signed long pos=0) const
| get TreatmentTerminationDescription (300a,0730) More...
OFCondition | getTreatmentTerminationStatus (OFString &value, const signed long pos=0) const
| get TreatmentTerminationStatus (3008,002a) More...
OFCondition | getTreatmentVerificationStatus (OFString &value, const signed long pos=0) const
| get TreatmentVerificationStatus (3008,002c) More...
DRTApplicatorSequenceInRTIonBeamsSessionRecordModule & | getApplicatorSequence ()
| get ApplicatorSequence (300a,0107) More...
const DRTApplicatorSequenceInRTIonBeamsSessionRecordModule & | getApplicatorSequence () const
| get ApplicatorSequence (300a,0107) More...
DRTBeamLimitingDeviceLeafPairsSequence & | getBeamLimitingDeviceLeafPairsSequence ()
| get BeamLimitingDeviceLeafPairsSequence (3008,00a0) More...
const DRTBeamLimitingDeviceLeafPairsSequence & | getBeamLimitingDeviceLeafPairsSequence () const
| get BeamLimitingDeviceLeafPairsSequence (3008,00a0) More...
DRTDeliveredDepthDoseParametersSequence & | getDeliveredDepthDoseParametersSequence ()
| get DeliveredDepthDoseParametersSequence (300a,0506) More...
const DRTDeliveredDepthDoseParametersSequence & | getDeliveredDepthDoseParametersSequence () const
| get DeliveredDepthDoseParametersSequence (300a,0506) More...
DRTGeneralAccessorySequenceInRTIonBeamsSessionRecordModule & | getGeneralAccessorySequence ()
| get GeneralAccessorySequence (300a,0420) More...
const DRTGeneralAccessorySequenceInRTIonBeamsSessionRecordModule & | getGeneralAccessorySequence () const
| get GeneralAccessorySequence (300a,0420) More...
DRTIonControlPointDeliverySequence & | getIonControlPointDeliverySequence ()
| get IonControlPointDeliverySequence (3008,0041) More...
const DRTIonControlPointDeliverySequence & | getIonControlPointDeliverySequence () const
| get IonControlPointDeliverySequence (3008,0041) More...
DRTMachineSpecificTreatmentTerminationCodeSequence & | getMachineSpecificTreatmentTerminationCodeSequence ()
| get MachineSpecificTreatmentTerminationCodeSequence (300a,0716) More...
const DRTMachineSpecificTreatmentTerminationCodeSequence & | getMachineSpecificTreatmentTerminationCodeSequence () const
| get MachineSpecificTreatmentTerminationCodeSequence (300a,0716) More...
DRTRTTreatmentTerminationReasonCodeSequence & | getRTTreatmentTerminationReasonCodeSequence ()
| get RTTreatmentTerminationReasonCodeSequence (300a,0715) More...
const DRTRTTreatmentTerminationReasonCodeSequence & | getRTTreatmentTerminationReasonCodeSequence () const
| get RTTreatmentTerminationReasonCodeSequence (300a,0715) More...
DRTRecordedBlockSequence & | getRecordedBlockSequence ()
| get RecordedBlockSequence (3008,00d0) More...
const DRTRecordedBlockSequence & | getRecordedBlockSequence () const
| get RecordedBlockSequence (3008,00d0) More...
DRTRecordedCompensatorSequence & | getRecordedCompensatorSequence ()
| get RecordedCompensatorSequence (3008,00c0) More...
const DRTRecordedCompensatorSequence & | getRecordedCompensatorSequence () const
| get RecordedCompensatorSequence (3008,00c0) More...
DRTRecordedLateralSpreadingDeviceSequence & | getRecordedLateralSpreadingDeviceSequence ()
| get RecordedLateralSpreadingDeviceSequence (3008,00f4) More...
const DRTRecordedLateralSpreadingDeviceSequence & | getRecordedLateralSpreadingDeviceSequence () const
| get RecordedLateralSpreadingDeviceSequence (3008,00f4) More...
DRTRecordedRangeModulatorSequence & | getRecordedRangeModulatorSequence ()
| get RecordedRangeModulatorSequence (3008,00f6) More...
const DRTRecordedRangeModulatorSequence & | getRecordedRangeModulatorSequence () const
| get RecordedRangeModulatorSequence (3008,00f6) More...
DRTRecordedRangeShifterSequence & | getRecordedRangeShifterSequence ()
| get RecordedRangeShifterSequence (3008,00f2) More...
const DRTRecordedRangeShifterSequence & | getRecordedRangeShifterSequence () const
| get RecordedRangeShifterSequence (3008,00f2) More...
DRTRecordedSnoutSequence & | getRecordedSnoutSequence ()
| get RecordedSnoutSequence (3008,00f0) More...
const DRTRecordedSnoutSequence & | getRecordedSnoutSequence () const
| get RecordedSnoutSequence (3008,00f0) More...
DRTRecordedWedgeSequence & | getRecordedWedgeSequence ()
| get RecordedWedgeSequence (3008,00b0) More...
const DRTRecordedWedgeSequence & | getRecordedWedgeSequence () const
| get RecordedWedgeSequence (3008,00b0) More...
DRTReferencedBolusSequenceInRTIonBeamsSessionRecordModule & | getReferencedBolusSequence ()
| get ReferencedBolusSequence (300c,00b0) More...
const DRTReferencedBolusSequenceInRTIonBeamsSessionRecordModule & | getReferencedBolusSequence () const
| get ReferencedBolusSequence (300c,00b0) More...
DRTReferencedCalculatedDoseReferenceSequence & | getReferencedCalculatedDoseReferenceSequence ()
| get ReferencedCalculatedDoseReferenceSequence (3008,0090) More...
const DRTReferencedCalculatedDoseReferenceSequence & | getReferencedCalculatedDoseReferenceSequence () const
| get ReferencedCalculatedDoseReferenceSequence (3008,0090) More...
DRTReferencedMeasuredDoseReferenceSequence & | getReferencedMeasuredDoseReferenceSequence ()
| get ReferencedMeasuredDoseReferenceSequence (3008,0080) More...
const DRTReferencedMeasuredDoseReferenceSequence & | getReferencedMeasuredDoseReferenceSequence () const
| get ReferencedMeasuredDoseReferenceSequence (3008,0080) More...
DRTReferencedVerificationImageSequence & | getReferencedVerificationImageSequence ()
| get ReferencedVerificationImageSequence (300c,0040) More...
const DRTReferencedVerificationImageSequence & | getReferencedVerificationImageSequence () const
| get ReferencedVerificationImageSequence (300c,0040) More...
OFCondition | setBeamDescription (const OFString &value, const OFBool check=OFTrue)
| set BeamDescription (300a,00c3) More...
OFCondition | setBeamName (const OFString &value, const OFBool check=OFTrue)
| set BeamName (300a,00c2) More...
OFCondition | setBeamType (const OFString &value, const OFBool check=OFTrue)
| set BeamType (300a,00c4) More...
OFCondition | setCurrentFractionNumber (const OFString &value, const OFBool check=OFTrue)
| set CurrentFractionNumber (3008,0022) More...
OFCondition | setDeliveredPrimaryMeterset (const OFString &value, const OFBool check=OFTrue)
| set DeliveredPrimaryMeterset (3008,0036) More...
OFCondition | setDeliveredSecondaryMeterset (const OFString &value, const OFBool check=OFTrue)
| set DeliveredSecondaryMeterset (3008,0037) More...
OFCondition | setDeliveredTreatmentTime (const OFString &value, const OFBool check=OFTrue)
| set DeliveredTreatmentTime (3008,003b) More...
OFCondition | setEntityLongLabel (const OFString &value, const OFBool check=OFTrue)
| set EntityLongLabel (3010,0038) More...
OFCondition | setFixationEye (const OFString &value, const OFBool check=OFTrue)
| set FixationEye (300a,0150) More...
OFCondition | setFixationLightAzimuthalAngle (const Float32 value, const unsigned long pos=0)
| set FixationLightAzimuthalAngle (300a,0356) More...
OFCondition | setFixationLightPolarAngle (const Float32 value, const unsigned long pos=0)
| set FixationLightPolarAngle (300a,0358) More...
OFCondition | setModulatedScanModeType (const OFString &value, const OFBool check=OFTrue)
| set ModulatedScanModeType (300a,0309) More...
OFCondition | setNumberOfBlocks (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBlocks (300a,00f0) More...
OFCondition | setNumberOfBoli (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBoli (300a,00ed) More...
OFCondition | setNumberOfCompensators (const OFString &value, const OFBool check=OFTrue)
| set NumberOfCompensators (300a,00e0) More...
OFCondition | setNumberOfControlPoints (const OFString &value, const OFBool check=OFTrue)
| set NumberOfControlPoints (300a,0110) More...
OFCondition | setNumberOfLateralSpreadingDevices (const OFString &value, const OFBool check=OFTrue)
| set NumberOfLateralSpreadingDevices (300a,0330) More...
OFCondition | setNumberOfRangeModulators (const OFString &value, const OFBool check=OFTrue)
| set NumberOfRangeModulators (300a,0340) More...
OFCondition | setNumberOfRangeShifters (const OFString &value, const OFBool check=OFTrue)
| set NumberOfRangeShifters (300a,0312) More...
OFCondition | setNumberOfWedges (const OFString &value, const OFBool check=OFTrue)
| set NumberOfWedges (300a,00d0) More...
OFCondition | setPatientSupportAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAccessoryCode (300a,0354) More...
OFCondition | setPatientSupportID (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportID (300a,0352) More...
OFCondition | setPatientSupportType (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportType (300a,0350) More...
OFCondition | setRadiationAtomicNumber (const OFString &value, const OFBool check=OFTrue)
| set RadiationAtomicNumber (300a,0304) More...
OFCondition | setRadiationChargeState (const Sint16 value, const unsigned long pos=0)
| set RadiationChargeState (300a,0306) More...
OFCondition | setRadiationMassNumber (const OFString &value, const OFBool check=OFTrue)
| set RadiationMassNumber (300a,0302) More...
OFCondition | setRadiationType (const OFString &value, const OFBool check=OFTrue)
| set RadiationType (300a,00c6) More...
OFCondition | setReferencedBeamNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedBeamNumber (300c,0006) More...
OFCondition | setReferencedPatientSetupNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedPatientSetupNumber (300c,006a) More...
OFCondition | setReferencedToleranceTableNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedToleranceTableNumber (300c,00a0) More...
OFCondition | setScanMode (const OFString &value, const OFBool check=OFTrue)
| set ScanMode (300a,0308) More...
OFCondition | setSpecifiedPrimaryMeterset (const OFString &value, const OFBool check=OFTrue)
| set SpecifiedPrimaryMeterset (3008,0032) More...
OFCondition | setSpecifiedSecondaryMeterset (const OFString &value, const OFBool check=OFTrue)
| set SpecifiedSecondaryMeterset (3008,0033) More...
OFCondition | setSpecifiedTreatmentTime (const OFString &value, const OFBool check=OFTrue)
| set SpecifiedTreatmentTime (3008,003a) More...
OFCondition | setTreatmentDeliveryType (const OFString &value, const OFBool check=OFTrue)
| set TreatmentDeliveryType (300a,00ce) More...
OFCondition | setTreatmentTerminationDescription (const OFString &value, const OFBool check=OFTrue)
| set TreatmentTerminationDescription (300a,0730) More...
OFCondition | setTreatmentTerminationStatus (const OFString &value, const OFBool check=OFTrue)
| set TreatmentTerminationStatus (3008,002a) More...
OFCondition | setTreatmentVerificationStatus (const OFString &value, const OFBool check=OFTrue)
| set TreatmentVerificationStatus (3008,002c) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTApplicatorSequenceInRTIonBeamsSessionRecordModule | ApplicatorSequence
| ApplicatorSequence (300a,0107) vr=SQ, vm=1, type=1C.
DcmShortText | BeamDescription
| BeamDescription (300a,00c3) vr=ST, vm=1, type=3.
DRTBeamLimitingDeviceLeafPairsSequence | BeamLimitingDeviceLeafPairsSequence
| BeamLimitingDeviceLeafPairsSequence (3008,00a0) vr=SQ, vm=1, type=3.
DcmLongString | BeamName
| BeamName (300a,00c2) vr=LO, vm=1, type=1.
DcmCodeString | BeamType
| BeamType (300a,00c4) vr=CS, vm=1, type=1.
DcmIntegerString | CurrentFractionNumber
| CurrentFractionNumber (3008,0022) vr=IS, vm=1, type=2.
DRTDeliveredDepthDoseParametersSequence | DeliveredDepthDoseParametersSequence
| DeliveredDepthDoseParametersSequence (300a,0506) vr=SQ, vm=1, type=3.
DcmDecimalString | DeliveredPrimaryMeterset
| DeliveredPrimaryMeterset (3008,0036) vr=DS, vm=1, type=3.
DcmDecimalString | DeliveredSecondaryMeterset
| DeliveredSecondaryMeterset (3008,0037) vr=DS, vm=1, type=3.
DcmDecimalString | DeliveredTreatmentTime
| DeliveredTreatmentTime (3008,003b) vr=DS, vm=1, type=3.
DcmLongString | EntityLongLabel
| EntityLongLabel (3010,0038) vr=LO, vm=1, type=3.
DcmCodeString | FixationEye
| FixationEye (300a,0150) vr=CS, vm=1, type=3.
DcmFloatingPointSingle | FixationLightAzimuthalAngle
| FixationLightAzimuthalAngle (300a,0356) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | FixationLightPolarAngle
| FixationLightPolarAngle (300a,0358) vr=FL, vm=1, type=3.
DRTGeneralAccessorySequenceInRTIonBeamsSessionRecordModule | GeneralAccessorySequence
| GeneralAccessorySequence (300a,0420) vr=SQ, vm=1, type=3.
DRTIonControlPointDeliverySequence | IonControlPointDeliverySequence
| IonControlPointDeliverySequence (3008,0041) vr=SQ, vm=1, type=1.
DRTMachineSpecificTreatmentTerminationCodeSequence | MachineSpecificTreatmentTerminationCodeSequence
| MachineSpecificTreatmentTerminationCodeSequence (300a,0716) vr=SQ, vm=1, type=3.
DcmCodeString | ModulatedScanModeType
| ModulatedScanModeType (300a,0309) vr=CS, vm=1, type=1C.
DcmIntegerString | NumberOfBlocks
| NumberOfBlocks (300a,00f0) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfBoli
| NumberOfBoli (300a,00ed) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfCompensators
| NumberOfCompensators (300a,00e0) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfControlPoints
| NumberOfControlPoints (300a,0110) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfLateralSpreadingDevices
| NumberOfLateralSpreadingDevices (300a,0330) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfRangeModulators
| NumberOfRangeModulators (300a,0340) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfRangeShifters
| NumberOfRangeShifters (300a,0312) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfWedges
| NumberOfWedges (300a,00d0) vr=IS, vm=1, type=1.
DcmLongString | PatientSupportAccessoryCode
| PatientSupportAccessoryCode (300a,0354) vr=LO, vm=1, type=3.
DcmShortString | PatientSupportID
| PatientSupportID (300a,0352) vr=SH, vm=1, type=3.
DcmCodeString | PatientSupportType
| PatientSupportType (300a,0350) vr=CS, vm=1, type=1.
DRTRTTreatmentTerminationReasonCodeSequence | RTTreatmentTerminationReasonCodeSequence
| RTTreatmentTerminationReasonCodeSequence (300a,0715) vr=SQ, vm=1, type=3.
DcmIntegerString | RadiationAtomicNumber
| RadiationAtomicNumber (300a,0304) vr=IS, vm=1, type=1C.
DcmSignedShort | RadiationChargeState
| RadiationChargeState (300a,0306) vr=SS, vm=1, type=1C.
DcmIntegerString | RadiationMassNumber
| RadiationMassNumber (300a,0302) vr=IS, vm=1, type=1C.
DcmCodeString | RadiationType
| RadiationType (300a,00c6) vr=CS, vm=1, type=1.
DRTRecordedBlockSequence | RecordedBlockSequence
| RecordedBlockSequence (3008,00d0) vr=SQ, vm=1, type=1C.
DRTRecordedCompensatorSequence | RecordedCompensatorSequence
| RecordedCompensatorSequence (3008,00c0) vr=SQ, vm=1, type=1C.
DRTRecordedLateralSpreadingDeviceSequence | RecordedLateralSpreadingDeviceSequence
| RecordedLateralSpreadingDeviceSequence (3008,00f4) vr=SQ, vm=1, type=1C.
DRTRecordedRangeModulatorSequence | RecordedRangeModulatorSequence
| RecordedRangeModulatorSequence (3008,00f6) vr=SQ, vm=1, type=1C.
DRTRecordedRangeShifterSequence | RecordedRangeShifterSequence
| RecordedRangeShifterSequence (3008,00f2) vr=SQ, vm=1, type=1C.
DRTRecordedSnoutSequence | RecordedSnoutSequence
| RecordedSnoutSequence (3008,00f0) vr=SQ, vm=1, type=1C.
DRTRecordedWedgeSequence | RecordedWedgeSequence
| RecordedWedgeSequence (3008,00b0) vr=SQ, vm=1, type=1C.
DcmIntegerString | ReferencedBeamNumber
| ReferencedBeamNumber (300c,0006) vr=IS, vm=1, type=1.
DRTReferencedBolusSequenceInRTIonBeamsSessionRecordModule | ReferencedBolusSequence
| ReferencedBolusSequence (300c,00b0) vr=SQ, vm=1, type=1C.
DRTReferencedCalculatedDoseReferenceSequence | ReferencedCalculatedDoseReferenceSequence
| ReferencedCalculatedDoseReferenceSequence (3008,0090) vr=SQ, vm=1, type=3.
DRTReferencedMeasuredDoseReferenceSequence | ReferencedMeasuredDoseReferenceSequence
| ReferencedMeasuredDoseReferenceSequence (3008,0080) vr=SQ, vm=1, type=3.
DcmIntegerString | ReferencedPatientSetupNumber
| ReferencedPatientSetupNumber (300c,006a) vr=IS, vm=1, type=3.
DcmIntegerString | ReferencedToleranceTableNumber
| ReferencedToleranceTableNumber (300c,00a0) vr=IS, vm=1, type=3.
DRTReferencedVerificationImageSequence | ReferencedVerificationImageSequence
| ReferencedVerificationImageSequence (300c,0040) vr=SQ, vm=1, type=3.
DcmCodeString | ScanMode
| ScanMode (300a,0308) vr=CS, vm=1, type=1.
DcmDecimalString | SpecifiedPrimaryMeterset
| SpecifiedPrimaryMeterset (3008,0032) vr=DS, vm=1, type=3.
DcmDecimalString | SpecifiedSecondaryMeterset
| SpecifiedSecondaryMeterset (3008,0033) vr=DS, vm=1, type=3.
DcmDecimalString | SpecifiedTreatmentTime
| SpecifiedTreatmentTime (3008,003a) vr=DS, vm=1, type=3.
DcmCodeString | TreatmentDeliveryType
| TreatmentDeliveryType (300a,00ce) vr=CS, vm=1, type=2.
DcmShortText | TreatmentTerminationDescription
| TreatmentTerminationDescription (300a,0730) vr=ST, vm=1, type=3.
DcmCodeString | TreatmentTerminationStatus
| TreatmentTerminationStatus (3008,002a) vr=CS, vm=1, type=1.
DcmCodeString | TreatmentVerificationStatus
| TreatmentVerificationStatus (3008,002c) vr=CS, vm=1, type=2.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTTreatmentSessionIonBeamSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTTreatmentSessionIonBeamSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getApplicatorSequence() [1/2]

DRTApplicatorSequenceInRTIonBeamsSessionRecordModule& DRTTreatmentSessionIonBeamSequence::Item::getApplicatorSequence | ( |  | ) |
| inline

get ApplicatorSequence (300a,0107)

Returns
  reference to sequence element

## ◆ getApplicatorSequence() [2/2]

const DRTApplicatorSequenceInRTIonBeamsSessionRecordModule& DRTTreatmentSessionIonBeamSequence::Item::getApplicatorSequence | ( |  | ) | const
| inline

get ApplicatorSequence (300a,0107)

Returns
  const reference to sequence element

## ◆ getBeamDescription()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getBeamDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamDescription (300a,00c3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceLeafPairsSequence() [1/2]

DRTBeamLimitingDeviceLeafPairsSequence& DRTTreatmentSessionIonBeamSequence::Item::getBeamLimitingDeviceLeafPairsSequence | ( |  | ) |
| inline

get BeamLimitingDeviceLeafPairsSequence (3008,00a0)

Returns
  reference to sequence element

## ◆ getBeamLimitingDeviceLeafPairsSequence() [2/2]

const DRTBeamLimitingDeviceLeafPairsSequence& DRTTreatmentSessionIonBeamSequence::Item::getBeamLimitingDeviceLeafPairsSequence | ( |  | ) | const
| inline

get BeamLimitingDeviceLeafPairsSequence (3008,00a0)

Returns
  const reference to sequence element

## ◆ getBeamName()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getBeamName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamName (300a,00c2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getBeamType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamType (300a,00c4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCurrentFractionNumber() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getCurrentFractionNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CurrentFractionNumber (3008,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCurrentFractionNumber() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getCurrentFractionNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CurrentFractionNumber (3008,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveredDepthDoseParametersSequence() [1/2]

DRTDeliveredDepthDoseParametersSequence& DRTTreatmentSessionIonBeamSequence::Item::getDeliveredDepthDoseParametersSequence | ( |  | ) |
| inline

get DeliveredDepthDoseParametersSequence (300a,0506)

Returns
  reference to sequence element

## ◆ getDeliveredDepthDoseParametersSequence() [2/2]

const DRTDeliveredDepthDoseParametersSequence& DRTTreatmentSessionIonBeamSequence::Item::getDeliveredDepthDoseParametersSequence | ( |  | ) | const
| inline

get DeliveredDepthDoseParametersSequence (300a,0506)

Returns
  const reference to sequence element

## ◆ getDeliveredPrimaryMeterset() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getDeliveredPrimaryMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get DeliveredPrimaryMeterset (3008,0036)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveredPrimaryMeterset() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getDeliveredPrimaryMeterset | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DeliveredPrimaryMeterset (3008,0036)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveredSecondaryMeterset() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getDeliveredSecondaryMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get DeliveredSecondaryMeterset (3008,0037)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveredSecondaryMeterset() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getDeliveredSecondaryMeterset | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DeliveredSecondaryMeterset (3008,0037)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveredTreatmentTime() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getDeliveredTreatmentTime | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get DeliveredTreatmentTime (3008,003b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveredTreatmentTime() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getDeliveredTreatmentTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DeliveredTreatmentTime (3008,003b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEntityLongLabel()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getEntityLongLabel | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get EntityLongLabel (3010,0038)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFixationEye()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getFixationEye | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get FixationEye (300a,0150)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFixationLightAzimuthalAngle()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getFixationLightAzimuthalAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get FixationLightAzimuthalAngle (300a,0356)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFixationLightPolarAngle()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getFixationLightPolarAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get FixationLightPolarAngle (300a,0358)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessorySequence() [1/2]

DRTGeneralAccessorySequenceInRTIonBeamsSessionRecordModule& DRTTreatmentSessionIonBeamSequence::Item::getGeneralAccessorySequence | ( |  | ) |
| inline

get GeneralAccessorySequence (300a,0420)

Returns
  reference to sequence element

## ◆ getGeneralAccessorySequence() [2/2]

const DRTGeneralAccessorySequenceInRTIonBeamsSessionRecordModule& DRTTreatmentSessionIonBeamSequence::Item::getGeneralAccessorySequence | ( |  | ) | const
| inline

get GeneralAccessorySequence (300a,0420)

Returns
  const reference to sequence element

## ◆ getIonControlPointDeliverySequence() [1/2]

DRTIonControlPointDeliverySequence& DRTTreatmentSessionIonBeamSequence::Item::getIonControlPointDeliverySequence | ( |  | ) |
| inline

get IonControlPointDeliverySequence (3008,0041)

Returns
  reference to sequence element

## ◆ getIonControlPointDeliverySequence() [2/2]

const DRTIonControlPointDeliverySequence& DRTTreatmentSessionIonBeamSequence::Item::getIonControlPointDeliverySequence | ( |  | ) | const
| inline

get IonControlPointDeliverySequence (3008,0041)

Returns
  const reference to sequence element

## ◆ getMachineSpecificTreatmentTerminationCodeSequence() [1/2]

DRTMachineSpecificTreatmentTerminationCodeSequence& DRTTreatmentSessionIonBeamSequence::Item::getMachineSpecificTreatmentTerminationCodeSequence | ( |  | ) |
| inline

get MachineSpecificTreatmentTerminationCodeSequence (300a,0716)

Returns
  reference to sequence element

## ◆ getMachineSpecificTreatmentTerminationCodeSequence() [2/2]

const DRTMachineSpecificTreatmentTerminationCodeSequence& DRTTreatmentSessionIonBeamSequence::Item::getMachineSpecificTreatmentTerminationCodeSequence | ( |  | ) | const
| inline

get MachineSpecificTreatmentTerminationCodeSequence (300a,0716)

Returns
  const reference to sequence element

## ◆ getModulatedScanModeType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getModulatedScanModeType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ModulatedScanModeType (300a,0309)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlocks() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfBlocks | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlocks() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfBlocks | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBoli() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfBoli | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfBoli (300a,00ed)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBoli() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfBoli | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfBoli (300a,00ed)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfCompensators() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfCompensators | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfCompensators (300a,00e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfCompensators() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfCompensators | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfCompensators (300a,00e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfControlPoints() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfControlPoints | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfControlPoints() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfControlPoints | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfLateralSpreadingDevices() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfLateralSpreadingDevices | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfLateralSpreadingDevices (300a,0330)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfLateralSpreadingDevices() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfLateralSpreadingDevices | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfLateralSpreadingDevices (300a,0330)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfRangeModulators() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfRangeModulators | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfRangeModulators (300a,0340)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfRangeModulators() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfRangeModulators | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfRangeModulators (300a,0340)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfRangeShifters() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfRangeShifters | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfRangeShifters (300a,0312)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfRangeShifters() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfRangeShifters | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfRangeShifters (300a,0312)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfWedges() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfWedges | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfWedges (300a,00d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfWedges() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getNumberOfWedges | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfWedges (300a,00d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAccessoryCode()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getPatientSupportAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PatientSupportAccessoryCode (300a,0354)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportID()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getPatientSupportID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PatientSupportID (300a,0352)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getPatientSupportType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PatientSupportType (300a,0350)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationAtomicNumber() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getRadiationAtomicNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RadiationAtomicNumber (300a,0304)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationAtomicNumber() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getRadiationAtomicNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get RadiationAtomicNumber (300a,0304)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationChargeState()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getRadiationChargeState | ( | Sint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get RadiationChargeState (300a,0306)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationMassNumber() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getRadiationMassNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RadiationMassNumber (300a,0302)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationMassNumber() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getRadiationMassNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get RadiationMassNumber (300a,0302)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getRadiationType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RadiationType (300a,00c6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRecordedBlockSequence() [1/2]

DRTRecordedBlockSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedBlockSequence | ( |  | ) |
| inline

get RecordedBlockSequence (3008,00d0)

Returns
  reference to sequence element

## ◆ getRecordedBlockSequence() [2/2]

const DRTRecordedBlockSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedBlockSequence | ( |  | ) | const
| inline

get RecordedBlockSequence (3008,00d0)

Returns
  const reference to sequence element

## ◆ getRecordedCompensatorSequence() [1/2]

DRTRecordedCompensatorSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedCompensatorSequence | ( |  | ) |
| inline

get RecordedCompensatorSequence (3008,00c0)

Returns
  reference to sequence element

## ◆ getRecordedCompensatorSequence() [2/2]

const DRTRecordedCompensatorSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedCompensatorSequence | ( |  | ) | const
| inline

get RecordedCompensatorSequence (3008,00c0)

Returns
  const reference to sequence element

## ◆ getRecordedLateralSpreadingDeviceSequence() [1/2]

DRTRecordedLateralSpreadingDeviceSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedLateralSpreadingDeviceSequence | ( |  | ) |
| inline

get RecordedLateralSpreadingDeviceSequence (3008,00f4)

Returns
  reference to sequence element

## ◆ getRecordedLateralSpreadingDeviceSequence() [2/2]

const DRTRecordedLateralSpreadingDeviceSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedLateralSpreadingDeviceSequence | ( |  | ) | const
| inline

get RecordedLateralSpreadingDeviceSequence (3008,00f4)

Returns
  const reference to sequence element

## ◆ getRecordedRangeModulatorSequence() [1/2]

DRTRecordedRangeModulatorSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedRangeModulatorSequence | ( |  | ) |
| inline

get RecordedRangeModulatorSequence (3008,00f6)

Returns
  reference to sequence element

## ◆ getRecordedRangeModulatorSequence() [2/2]

const DRTRecordedRangeModulatorSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedRangeModulatorSequence | ( |  | ) | const
| inline

get RecordedRangeModulatorSequence (3008,00f6)

Returns
  const reference to sequence element

## ◆ getRecordedRangeShifterSequence() [1/2]

DRTRecordedRangeShifterSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedRangeShifterSequence | ( |  | ) |
| inline

get RecordedRangeShifterSequence (3008,00f2)

Returns
  reference to sequence element

## ◆ getRecordedRangeShifterSequence() [2/2]

const DRTRecordedRangeShifterSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedRangeShifterSequence | ( |  | ) | const
| inline

get RecordedRangeShifterSequence (3008,00f2)

Returns
  const reference to sequence element

## ◆ getRecordedSnoutSequence() [1/2]

DRTRecordedSnoutSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedSnoutSequence | ( |  | ) |
| inline

get RecordedSnoutSequence (3008,00f0)

Returns
  reference to sequence element

## ◆ getRecordedSnoutSequence() [2/2]

const DRTRecordedSnoutSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedSnoutSequence | ( |  | ) | const
| inline

get RecordedSnoutSequence (3008,00f0)

Returns
  const reference to sequence element

## ◆ getRecordedWedgeSequence() [1/2]

DRTRecordedWedgeSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedWedgeSequence | ( |  | ) |
| inline

get RecordedWedgeSequence (3008,00b0)

Returns
  reference to sequence element

## ◆ getRecordedWedgeSequence() [2/2]

const DRTRecordedWedgeSequence& DRTTreatmentSessionIonBeamSequence::Item::getRecordedWedgeSequence | ( |  | ) | const
| inline

get RecordedWedgeSequence (3008,00b0)

Returns
  const reference to sequence element

## ◆ getReferencedBeamNumber() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getReferencedBeamNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedBeamNumber (300c,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedBeamNumber() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getReferencedBeamNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedBeamNumber (300c,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedBolusSequence() [1/2]

DRTReferencedBolusSequenceInRTIonBeamsSessionRecordModule& DRTTreatmentSessionIonBeamSequence::Item::getReferencedBolusSequence | ( |  | ) |
| inline

get ReferencedBolusSequence (300c,00b0)

Returns
  reference to sequence element

## ◆ getReferencedBolusSequence() [2/2]

const DRTReferencedBolusSequenceInRTIonBeamsSessionRecordModule& DRTTreatmentSessionIonBeamSequence::Item::getReferencedBolusSequence | ( |  | ) | const
| inline

get ReferencedBolusSequence (300c,00b0)

Returns
  const reference to sequence element

## ◆ getReferencedCalculatedDoseReferenceSequence() [1/2]

DRTReferencedCalculatedDoseReferenceSequence& DRTTreatmentSessionIonBeamSequence::Item::getReferencedCalculatedDoseReferenceSequence | ( |  | ) |
| inline

get ReferencedCalculatedDoseReferenceSequence (3008,0090)

Returns
  reference to sequence element

## ◆ getReferencedCalculatedDoseReferenceSequence() [2/2]

const DRTReferencedCalculatedDoseReferenceSequence& DRTTreatmentSessionIonBeamSequence::Item::getReferencedCalculatedDoseReferenceSequence | ( |  | ) | const
| inline

get ReferencedCalculatedDoseReferenceSequence (3008,0090)

Returns
  const reference to sequence element

## ◆ getReferencedMeasuredDoseReferenceSequence() [1/2]

DRTReferencedMeasuredDoseReferenceSequence& DRTTreatmentSessionIonBeamSequence::Item::getReferencedMeasuredDoseReferenceSequence | ( |  | ) |
| inline

get ReferencedMeasuredDoseReferenceSequence (3008,0080)

Returns
  reference to sequence element

## ◆ getReferencedMeasuredDoseReferenceSequence() [2/2]

const DRTReferencedMeasuredDoseReferenceSequence& DRTTreatmentSessionIonBeamSequence::Item::getReferencedMeasuredDoseReferenceSequence | ( |  | ) | const
| inline

get ReferencedMeasuredDoseReferenceSequence (3008,0080)

Returns
  const reference to sequence element

## ◆ getReferencedPatientSetupNumber() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getReferencedPatientSetupNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedPatientSetupNumber() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getReferencedPatientSetupNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedToleranceTableNumber() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getReferencedToleranceTableNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedToleranceTableNumber() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getReferencedToleranceTableNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedVerificationImageSequence() [1/2]

DRTReferencedVerificationImageSequence& DRTTreatmentSessionIonBeamSequence::Item::getReferencedVerificationImageSequence | ( |  | ) |
| inline

get ReferencedVerificationImageSequence (300c,0040)

Returns
  reference to sequence element

## ◆ getReferencedVerificationImageSequence() [2/2]

const DRTReferencedVerificationImageSequence& DRTTreatmentSessionIonBeamSequence::Item::getReferencedVerificationImageSequence | ( |  | ) | const
| inline

get ReferencedVerificationImageSequence (300c,0040)

Returns
  const reference to sequence element

## ◆ getRTTreatmentTerminationReasonCodeSequence() [1/2]

DRTRTTreatmentTerminationReasonCodeSequence& DRTTreatmentSessionIonBeamSequence::Item::getRTTreatmentTerminationReasonCodeSequence | ( |  | ) |
| inline

get RTTreatmentTerminationReasonCodeSequence (300a,0715)

Returns
  reference to sequence element

## ◆ getRTTreatmentTerminationReasonCodeSequence() [2/2]

const DRTRTTreatmentTerminationReasonCodeSequence& DRTTreatmentSessionIonBeamSequence::Item::getRTTreatmentTerminationReasonCodeSequence | ( |  | ) | const
| inline

get RTTreatmentTerminationReasonCodeSequence (300a,0715)

Returns
  const reference to sequence element

## ◆ getScanMode()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getScanMode | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ScanMode (300a,0308)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpecifiedPrimaryMeterset() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getSpecifiedPrimaryMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SpecifiedPrimaryMeterset (3008,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpecifiedPrimaryMeterset() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getSpecifiedPrimaryMeterset | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SpecifiedPrimaryMeterset (3008,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpecifiedSecondaryMeterset() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getSpecifiedSecondaryMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SpecifiedSecondaryMeterset (3008,0033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpecifiedSecondaryMeterset() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getSpecifiedSecondaryMeterset | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SpecifiedSecondaryMeterset (3008,0033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpecifiedTreatmentTime() [1/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getSpecifiedTreatmentTime | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SpecifiedTreatmentTime (3008,003a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpecifiedTreatmentTime() [2/2]

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getSpecifiedTreatmentTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SpecifiedTreatmentTime (3008,003a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTreatmentDeliveryType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getTreatmentDeliveryType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TreatmentDeliveryType (300a,00ce)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTreatmentTerminationDescription()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getTreatmentTerminationDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TreatmentTerminationDescription (300a,0730)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTreatmentTerminationStatus()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getTreatmentTerminationStatus | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TreatmentTerminationStatus (3008,002a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTreatmentVerificationStatus()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::getTreatmentVerificationStatus | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TreatmentVerificationStatus (3008,002c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTTreatmentSessionIonBeamSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTTreatmentSessionIonBeamSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTTreatmentSessionIonBeamSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDescription()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setBeamDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamDescription (300a,00c3)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamName()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setBeamName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamName (300a,00c2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setBeamType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamType (300a,00c4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCurrentFractionNumber()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setCurrentFractionNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CurrentFractionNumber (3008,0022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeliveredPrimaryMeterset()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setDeliveredPrimaryMeterset | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DeliveredPrimaryMeterset (3008,0036)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeliveredSecondaryMeterset()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setDeliveredSecondaryMeterset | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DeliveredSecondaryMeterset (3008,0037)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeliveredTreatmentTime()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setDeliveredTreatmentTime | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DeliveredTreatmentTime (3008,003b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEntityLongLabel()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setEntityLongLabel | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set EntityLongLabel (3010,0038)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFixationEye()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setFixationEye | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set FixationEye (300a,0150)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFixationLightAzimuthalAngle()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setFixationLightAzimuthalAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set FixationLightAzimuthalAngle (300a,0356)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFixationLightPolarAngle()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setFixationLightPolarAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set FixationLightPolarAngle (300a,0358)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setModulatedScanModeType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setModulatedScanModeType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ModulatedScanModeType (300a,0309)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBlocks()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfBlocks | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfBlocks (300a,00f0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBoli()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfBoli | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfBoli (300a,00ed)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfCompensators()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfCompensators | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfCompensators (300a,00e0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfControlPoints()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfControlPoints | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfControlPoints (300a,0110)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfLateralSpreadingDevices()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfLateralSpreadingDevices | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfLateralSpreadingDevices (300a,0330)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfRangeModulators()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfRangeModulators | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfRangeModulators (300a,0340)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfRangeShifters()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfRangeShifters | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfRangeShifters (300a,0312)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfWedges()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setNumberOfWedges | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfWedges (300a,00d0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportAccessoryCode()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setPatientSupportAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PatientSupportAccessoryCode (300a,0354)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportID()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setPatientSupportID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PatientSupportID (300a,0352)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setPatientSupportType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PatientSupportType (300a,0350)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRadiationAtomicNumber()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setRadiationAtomicNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RadiationAtomicNumber (300a,0304)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRadiationChargeState()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setRadiationChargeState | ( | const Sint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set RadiationChargeState (300a,0306)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRadiationMassNumber()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setRadiationMassNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RadiationMassNumber (300a,0302)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRadiationType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setRadiationType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RadiationType (300a,00c6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedBeamNumber()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setReferencedBeamNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedBeamNumber (300c,0006)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedPatientSetupNumber()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setReferencedPatientSetupNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedToleranceTableNumber()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setReferencedToleranceTableNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScanMode()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setScanMode | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ScanMode (300a,0308)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpecifiedPrimaryMeterset()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setSpecifiedPrimaryMeterset | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SpecifiedPrimaryMeterset (3008,0032)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpecifiedSecondaryMeterset()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setSpecifiedSecondaryMeterset | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SpecifiedSecondaryMeterset (3008,0033)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpecifiedTreatmentTime()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setSpecifiedTreatmentTime | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SpecifiedTreatmentTime (3008,003a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTreatmentDeliveryType()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setTreatmentDeliveryType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TreatmentDeliveryType (300a,00ce)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTreatmentTerminationDescription()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setTreatmentTerminationDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TreatmentTerminationDescription (300a,0730)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTreatmentTerminationStatus()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setTreatmentTerminationStatus | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TreatmentTerminationStatus (3008,002a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTreatmentVerificationStatus()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::setTreatmentVerificationStatus | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TreatmentVerificationStatus (3008,002c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTTreatmentSessionIonBeamSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drttsibs.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1